Package org.kapott.hbci.rewrite

# Class RSecTypeTAN

java.lang.Object
org.kapott.hbci.rewrite.Rewrite
org.kapott.hbci.rewrite.RSecTypeTAN

public class RSecTypeTAN extends Rewrite
Rewriter-Modul für falsche Informationen über TAN-Verfahren. Einige Banken mit HBCI+ (HBCI-PIN/TAN) -Unterstützung stellen fälschlicherweise in die BPD die Information ein, dass das Sicherheitsverfahren "TAN" unterstützt wird. "TAN" ist aber kein gültiger Code für Sicherheitsmechanismen, so dass dieses Rewriter-Modul die "TAN"-Information aus den BPD entfernt.

## Constructor Summary

Constructors
Constructor
Description
`RSecTypeTAN()`

## Method Summary

Modifier and Type
Method
Description
`String`
`incomingClearText(String st, MsgGen gen)`

### Methods inherited from class org.kapott.hbci.rewrite.Rewrite

`getData, incomingCrypted, incomingData, outgoingClearText, outgoingCrypted, outgoingSigned, setData`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### RSecTypeTAN

public RSecTypeTAN()

## Method Details

### incomingClearText

public String incomingClearText(String st, MsgGen gen)

Overrides:
  `incomingClearText` in class `Rewrite`
See Also:
  - `Rewrite.incomingClearText(java.lang.String, org.kapott.hbci.manager.MsgGen)`